local QBCore = exports['qb-core']:GetCoreObject()



QBCore.Functions.CreateCallback("rtx_neons:CheckNeons", function(source, cb, vehicleProps)
	local xPlayer = QBCore.Functions.GetPlayer(source)
	print(QBCore.Debug(xPlayer))

	if xPlayer then
		MySQL.Async.fetchScalar('SELECT neons FROM player_vehicles WHERE citizenid = @citizenid AND @plate = plate', {
			['@citizenid'] = xPlayer.PlayerData.citizenid,
			['@plate'] = vehicleProps.plate
		}, function (neons)
			if neons ~= nil then
				cb(neons)
			else
				cb(false)
			end
		end)
	end
end)

QBCore.Functions.CreateUseableItem("neonbox", function(source)
	local xPlayer = QBCore.Functions.GetPlayer(source)
	-- print(QBCore.Debug(xPlayer))

	
	
	local playerPed = GetPlayerPed(source)	
	local playervehicle = GetVehiclePedIsIn(playerPed)
	if playervehicle then
		local vehicleplate = GetVehicleNumberPlateText(playervehicle)
		-- xPlayer.Functions.RemoveItem("neonbox", 1)
		MySQL.Async.fetchAll('SELECT neons FROM player_vehicles WHERE citizenid = @citizenid AND @plate = plate', {
			['@citizenid'] = xPlayer.PlayerData.citizenid,
			['@plate'] = vehicleplate
		}, function (neons)
			if neons[1] ~= nil then
				MySQL.Async.execute("UPDATE player_vehicles SET neons = @neons WHERE citizenid = @citizenid AND plate = @plate", {
					['@citizenid'] = xPlayer.PlayerData.citizenid,
					['@plate'] = vehicleplate,
					['@neons'] = 1
				}, function (changed)
					TriggerClientEvent("QBCore:Notify", source, "Neons installed on vehicle with plate "..vehicleplate.."")
					if Config.NeonsUseOnlyViaController then
						xPlayer.Functions.AddItem('neoncontroller', 1)
					end
				end)	
			else
				TriggerClientEvent("QBCore:Notify", source, "This vehicle is not owned!")
			end
		end)	
	else
		TriggerClientEvent("QBCore:Notify", source, "You are not in vehicle")
	end
end)

if Config.NeonsUseOnlyViaController then
	QBCore.Functions.CreateUseableItem("neoncontroller", function(source)
		local xPlayer = QBCore.Functions.GetPlayer(source)
		local playerPed = GetPlayerPed(source)	
		local playervehicle = GetVehiclePedIsIn(playerPed)
		if playervehicle then
			TriggerClientEvent("rtx_neons:UseController", source)
		else
			TriggerClientEvent("QBCore:Notify", source, "You are not in vehicle")
		end
	end)
end